<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Entities\MoznostiUdalosti;

use Spatie\Enum\Laravel\Enum;

/**
 * Class StavUdalostiEnum
 *
 * @method static self ZVEREJNENA()
 * @method static self NEZVEREJNENA()
 *
 * @package Seka\Portal\Modul\Terminy\Entities\Udalost
 */
final class StavMoznostiUdalostiEnum extends Enum
{
    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'ZVEREJNENA' => 'zverejnená',
            'NEZVEREJNENA' => 'nezverejnená',
        ];
    }

    /**
     * @return string
     */
    public function color(): string
    {
        return match ($this->value) {
            'ZVEREJNENA' => '#adbadd',
            default => '#c0d1d8',
        };
    }
}
